import 'package:json_annotation/json_annotation.dart';

part 'job_favorite_item_model.g.dart';

@JsonSerializable()
class JobFavoriteItemModel extends Object {
  @JsonKey(name: 'studentId')
  int studentId;

  @JsonKey(name: 'studentName')
  String studentName;

  @JsonKey(name: 'createTime')
  String createTime;

  JobFavoriteItemModel(
    this.studentId,
    this.studentName,
    this.createTime,
  );

  factory JobFavoriteItemModel.fromJson(Map<String, dynamic> srcJson) => _$JobFavoriteItemModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobFavoriteItemModelToJson(this);
}
